org.apache.ignite.internal.binary

## Class BinaryAbstractIdentityResolver

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryAbstractIdentityResolver

All Implemented Interfaces:
  BinaryIdentityResolver

Direct Known Subclasses:
  BinaryArrayIdentityResolver

    public abstract class BinaryAbstractIdentityResolver
    extends Object
    implements BinaryIdentityResolver

Abstract identity resolver with common routines.

### Constructor Summary

Constructors
Constructor and Description
`BinaryAbstractIdentityResolver()`

### Method Summary

Methods
`boolean` `equals(BinaryObject o1, BinaryObject o2)` Compare two binary objects for equality.
`protected abstract boolean` `equals0(BinaryObject o1, BinaryObject o2)` Internal equals routine.
`int` `hashCode(BinaryObject obj)` Compute hash code for binary object.
`protected abstract int` `hashCode0(BinaryObject obj)` Internal hash code routine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryAbstractIdentityResolver

    public BinaryAbstractIdentityResolver()

### Method Detail

#### hashCode

    public int hashCode(BinaryObject obj)

Compute hash code for binary object.

Specified by:
  `hashCode` in interface `BinaryIdentityResolver`
Parameters:
  `obj` - Binary object.
Returns:
  Hash code value.

#### equals

    public boolean equals(BinaryObject o1,
                 BinaryObject o2)

Compare two binary objects for equality.

Specified by:
  `equals` in interface `BinaryIdentityResolver`
Parameters:
  `o1` - First object.
  `o2` - Second object.
Returns:
  `True` if both objects are equal.

#### hashCode0

    protected abstract int hashCode0(BinaryObject obj)

Internal hash code routine.

Parameters:
  `obj` - Object.
Returns:
  Result.

#### equals0

    protected abstract boolean equals0(BinaryObject o1,
                  BinaryObject o2)

Internal equals routine.

Parameters:
  `o1` - First object.
  `o2` - Second object.
Returns:
  Result.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017